App::Cme::Command::update(3pm)

NAME
App::Cme::Command::update - Update the configuration of an application

VERSION
version 1.044

SYNOPSIS
   cme update <application>
   # example: cme update dpkg-copyright

DESCRIPTION
Update a configuration file. The update is done scanning external resource.

For instance, "cme update dpkg-copyright" command can be used to update a specific Debian package file ("debian/copyright"). This is done by scanning the headers of source files.

Currently, only dpkg-copyright application currently supports updates.

The configuration data (i.e. the content of "debian/copyright" in this example) is mapped to a tree structure inside cme. You can:

•   view this structure in YAML format by running "cme dump dpkg-copyright"

•   view this structure in Config::Model's format (aka "cml") by running "cme dump -format cml dpkg-copyright". This format is documented in Config::Model::Loader.

•   get a graphical view with "cme edit dpkg-copyright".

Common options
See "Global Options" in cme.

options

-open-item
    Open a specific item of the configuration when opening the editor

SEE ALSO
cme

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014-2022 by Dominique Dumont <ddumont@cpan.org>.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999